#! /bin/bash
#
#
#
echo -e "\n\n\n"
if [ ! `id -u` == 0 ]; then

    IDIR=${HOME}/stock

    echo "This will install 'getstock'."
    echo "The config-file will be install in ${HOME}/.getstockrc"
    echo "Put your own settings there."
    echo ""
    echo "The data-files will be found in ${HOME}/stock."
    
    mkdir -p -m0777 $IDIR
    install -m0644 ./getstockrc ${HOME}/.getstockrc

    echo "Now call this script as user root (if not done)."
fi


if [ `id -u` == 0 ]; then

    echo "Install the script in /usr/local/bin/getstock."
    echo ""
    echo "If you are on a dial-up site with no permanent internet-connection,"
    echo "call now ./dial-up to run getstock every time you connect to the"
    echo "Internet."

    install -m0755 ./getstock.pl /usr/local/bin/getstock
    echo "Now call this script as a normal user (if not done)."
fi

echo -e "\n\n\n"
